Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 649826 - Review Request: instantbird - Instant messaging client based on XULrunner and libpurple
Summary: Review Request: instantbird - Instant messaging client based on XULrunner and...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-11-04 16:05 UTC by Hicham HAOUARI
Modified: 2013-05-01 15:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-01 15:21:23 UTC


Attachments (Terms of Use)

Description Hicham HAOUARI 2010-11-04 16:05:07 UTC
Spec URL: http://hicham.fedorapeople.org/instantbird/F-14/instantbird.spec
SRPM URL: http://hicham.fedorapeople.org/instantbird/F-14/SRPMS/instantbird-0.2-1.1291hg.fc14.src.rpm
Description:
Instantbird is an IM client based on Mozilla's XULrunner.
It supports connecting to all of the popular IRC networks 
through the use of libpurple, Pidgin's messaging core.

It supports all of the usual IM networks, like AIM, MSN, 
Jabber and so on.

Comment 1 Brendan Jones 2010-11-08 13:22:46 UTC
Hi Hicham

you might just want to comment where you obtained the extra sources from.

regards,

Brendan

Comment 2 Hicham HAOUARI 2010-11-08 14:35:49 UTC
(In reply to comment #1)
> Hi Hicham
> 
> you might just want to comment where you obtained the extra sources from.
> 
> regards,
> 
> Brendan

The extra tarball is just a minimal subset of the official xulrunner sources from mozilla, I used it as a convenience to workaround my limited bandwidth.

Once things go official, I will either :

- Use the official tarball from instantbird.org which include the xulrunner source tree.
- Use the xulrunner source available from the lookaside cache.

Comment 3 Gwyn Ciesla 2011-06-27 14:24:18 UTC
Must be B:   https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries

Comment 4 Hicham HAOUARI 2011-06-27 23:06:08 UTC
(In reply to comment #3)
> Must be B:   https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries

Ideally yes, but upstream says that it is not feasible since they use a heavily patched libpurple.

Their patches have been rejected by upstream.

Comment 5 Gwyn Ciesla 2011-06-27 23:40:54 UTC
Then document that and file for an exception with FPC.

Comment 6 Jason Tibbitts 2012-04-25 00:10:52 UTC
Haven't seen that bundling exception request; until that happens I'm not sure it's reasonable to move forward with a review.  Marking this NotReady; please clear the whiteboard when progress has been made.


Note You need to log in before you can comment on or make changes to this bug.